Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.dom
Interface Visitable

All Known Implementing Classes:
  StoredNode

public interface Visitable

Visitor pattern: interface to be implemented by a visitable node.

Method Summary
`boolean` | `accept(java.util.Iterator iterator, NodeVisitor visitor)` Visit the current node.

Method Detail

### accept

    public boolean accept(java.util.Iterator iterator,
                          NodeVisitor visitor)

  Visit the current node. For element nodes, the method recursively traverses through the child nodes and calls accept on each of them.

  Parameters:
    `iterator` - an iterator positioned at the current node
    `visitor` - the visitor to call.
  Returns:
    the value returned by the NodeVisitor.visit method.

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.